//		LPT send/recev in DOS mode
//
//	(c) 2018  6502man
//


#include"stdio.h"
#include"conio.h"
#include"dos.h"

#define LPTPORT 0x378

// DATA PORTADDRESS+0
// STATUS PORTADDRESS+1
// CONTROL PORTADDRESS+2


void Aide();
void Ecran();
int RecevLPT(void);
void SendLPT(int data);


// affiche l'ecran de dpart
void Ecran()
{
    clrscr();
    textcolor(YELLOW);
    textbackground(BLUE);
    cprintf("    LPT = 378h ");
    textbackground(BLACK);


    textcolor(YELLOW);
    textbackground(BLUE);
    gotoxy(70,25);
    cprintf("(c)6502man");
    textcolor(WHITE);
    textbackground(BLACK);
}



// envoi un octet sur le port parallle
void SendLPT(int data)
{
	outportb(LPTPORT+2, 0x00); //  data pins en mode OUTPUT
	outport( LPTPORT, data);	// ecrire sur LPT
}


// lit un octet sur le port parallle
int RecevLPT(void)
{
	int dlpt;
	outportb(LPTPORT+2, 0xFF); //  data pins en mode INPUT
	dlpt=inportb(LPTPORT);	// lire sur LPT
	return dlpt;
}




void main()
{
   int kk;
   int data;
   clrscr();
   Ecran();

   
    while(!kbhit())
    {
	data=RecevLPT();		//data=inportb(LPTPORT);	// lire sur LPT
	gotoxy(3,10);
	cprintf("Data : %3d (decimal), %3X (hex)\n", data, data);
       /*	printf("\n Pin 15: %d",(data & 0x08)/0x08);
	printf("\n Pin 13: %d",(data & 0x10)/0x10);
	printf("\n Pin 12: %d",(data & 0x20)/0x20);
	printf("\n Pin 11: %d",(data & 0x80)/0x80);
	printf("\n Pin 10: %d",(data & 0x40)/0x40);
	*/
	delay(10);
    }



}

